##
##  guilt.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2015 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         guilt
Summary:      Patch Management on Git
URL:          http://guilt.31bits.net/src/
Vendor:       Josef "Jeff" Sipek
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        SCM
License:      GPL
Version:      0.36
Release:      20150825

#   list of sources
Source0:      http://guilt.31bits.net/src/guilt-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20140101
PreReq:       OpenPKG, openpkg >= 20140101, bash

%description
    Andrew Morton originally developed a set of scripts for maintaining
    kernel patches outside of any SCM tool. Others extended these into
    a suite called quilt. The basic idea behind quilt is to maintain
    patches instead of maintaining source files. Patches can be added,
    removed or reordered, and they can be refreshed as you fix bugs or
    update to a new base revision. quilt is very powerful, but it is not
    integrated with the underlying SCM tools. This makes it difficult to
    visualize your changes. Guilt allows one to use quilt functionality
    on top of a Git repository. Changes are maintained as patches which
    are committed into Git. Commits can be removed or reordered, and
    the underlying patch can be refreshed based on changes made in the
    working directory. The patch directory can also be placed under
    revision control, so you can have a separate history of changes made
    to your patches.

%track
    prog guilt = {
        version   = %{version}
        url       = http://guilt.31bits.net/src/
        regex     = guilt-(\d+\.\d+(?:\.\d+)?)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst \
       -e 's;/bin/sh;%{l_prefix}/bin/bash;g' \
       guilt*

%install
    %{l_make} %{l_mflags} install \
        PREFIX=$RPM_BUILD_ROOT%{l_prefix}
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

